=== debian/changelog ===
libtool (1.5.6-5) unstable; urgency=low

  * Apply patch from upstream to allow five digits in version-info.

 -- Scott James Remnant <scott@netsplit.com>  Tue,  8 Mar 2005 18:12:26 +0000

libtool (1.5.6-4) unstable; urgency=low

  * Correct accidental slide into a native package.
  * Apply patch to fix memory leak in libltdl.  Closes: #281929.
  * Usual postinst change to support only gcc 3.4 or gcc 4.0.  Closes: #281708.
  * Remove build-essential dependencies from libltdl3-dev.  Closes: #260298.

 -- Scott James Remnant <scott@netsplit.com>  Sat, 22 Jan 2005 14:17:59 +0000

libtool (1.5.6-3) unstable; urgency=low

  * Don't build-depend on gcj on netbsd-i386 or hurd-i386.  Closes: #260299.
  * Apply patch to correct problem with "-lfoo -Ldir -lbar" picking bar up
    from the same directory as foo, instead of in 'dir'

 -- Scott James Remnant <scott@netsplit.com>  Tue, 26 Oct 2004 10:37:41 +0100

libtool (1.5.6-2) unstable; urgency=low

  * Apply patch from Joel Baker to support Debian GNU/kNetBSD systems
    with *-*-netbsdelf-gnu triplet.  Closes: #244770.
  * Fail earlier on invalid version_type so we output a useful error
    message.  Closes: #247169.
  * Skip the Non-PIC test on x86-64, it can't handle Non-PIC code inside
    shared libraries.  Closes: #246746.

 -- Scott James Remnant <scott@netsplit.com>  Tue,  6 Jul 2004 17:52:19 +0100

libtool (1.5.6-1) unstable; urgency=low

  * New upstream release.
    - Correctly installs libltdl.
    - Correctly provides shrext_cmds to libltdl.
      Closes: #242161, #242380, #242457, #242488, #243008, #243033, #243107,
              #243261.

 -- Scott James Remnant <scott@netsplit.com>  Mon, 12 Apr 2004 18:17:59 +0100

libtool (1.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Scott James Remnant <scott@netsplit.com>  Sat,  3 Apr 2004 19:10:11 +0100

libtool (1.5.2-2) unstable; urgency=low

  * Remove .svn check from debian/rules, no longer necessary.
  * Correctly pass CFLAGS to configure.
  * No longer dlopens libraries with RTLD_GLOBAL.  Closes: #195821, #221811.
  * Don't add the contents of dependency_libs to the link line when
    linking programs.  Closes: #191425, #199423, #238681.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 28 Mar 2004 20:08:59 +0100

libtool (1.5.2-1) unstable; urgency=low

  * New upstream release.

    This largely just included our patches from 1.5, there are a couple
    of additional bug fixes in this release though.
  * Move to a single libtool.info file.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 25 Jan 2004 14:45:02 +0000

libtool (1.5-9) unstable; urgency=low

  * Apply patch from Robert Millan <zeratul2@wanadoo.es> to complete
    support for GNU/kNetBSD.  Closes: #224440.
  * Apply keybuk-precious-files.patch (backported from 1.6) to add
    an option to prevent the removal of files from the temporary
    output directory.  Closes: #221420.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 11 Jan 2004 01:33:18 +0000

libtool (1.5-8) unstable; urgency=medium

  * Bring the various copyright files up to par.
  * Apply patch to infer tagged configuration in link mode with all
    compiler arguments available, rather than just the first.
  * Remove the mkdir -p option from when creating a temporary output
    directory to prevent symlink abuse.
  * Generate the info files on build as we need a certain --split-size
    for hysterical raisins.

 -- Scott James Remnant <scott@netsplit.com>  Sat,  3 Jan 2004 14:49:52 +0000

libtool (1.5-7) unstable; urgency=high

  * Add missing 'continue' line when acting on finding -pthread and friends
    in $deplibs.  This line of code is in all my copies of ltmain, it's in
    my test package of libtool, it's in the upstream CVS where I comitted it,
    it's in the patch file I made to do that and is in the 1.4.3 package that
    used the same patch; but for no apparent reason it vanished from the
    Debian 1.5-6 package!  Closes: #221467.

 -- Scott James Remnant <scott@netsplit.com>  Tue, 18 Nov 2003 17:08:17 +0000

libtool (1.5-6) unstable; urgency=low

  * Error in the binary targets if a .svn directory exists, to prevent
    me accidentally shipping them in the diff.  To create binary packages
    from the svn source add TEST=yes to the debian/rules line.
    Closes: #219461.
  * Fix libtoolize so the cd command run when AC_CONFIG_AUX_DIR is used
    is shown when --dry-run is given.  Closes: #153699.
  * Yet Another(tm) patch to prevent hardcoding of dependency library
    rpaths, replacing the one in 1.5-3.  Any path listed in /etc/ld.so.conf
    is now not rpathed.  This is more palatable upstream.
  * The Ultimate -pthread Patch(tm), the previous change broke placing
    -pthread in libs' $deplibs.  This new patch treats the arguments the
    same for libraries and programs, and even honours them when found
    in dependency_libs but doesn't place them there first.
  * Infer near-default configuration when invoked as 'libtool cc' rather
    than complaining that we can't infer a tag.
  * Fix -static, -prefer-pic and -prefer-non-pic when used with a tagged
    configuration.  Closes: #217834.
  * Synchronise with upstream CVS.  The changes are:
    - MinGW reverted back to an objdump-base test.
    See changelog.gz for more detail.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 16 Nov 2003 15:10:15 +0000

libtool (1.5-5) unstable; urgency=low

  * Apply upstream patch to preserve --tag, --debug, --quiet and
    --silent arguments when invoking ourselves to perform
    relink or finish modes.  Closes: #214484.
  * Don't propogate -pthread and friends to dependency_libs, but also
    don't complain when we find it there.  This fixes the recent GNOME
    problems without breaking anything else (I hope).

 -- Scott James Remnant <scott@netsplit.com>  Wed, 29 Oct 2003 17:31:07 +0000

libtool (1.5-4) unstable; urgency=low

  * Remove Build-Depends-Indep placing texi2html and texinfo in

