=== debian/control ===
Source: libtool
Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, g77 | fortran77-compiler, gcj [!hppa !mips !mipsel !netbsd-i386 !hurd-i386]
Section: devel
Priority: optional
Maintainer: Scott James Remnant <scott@netsplit.com>
Standards-Version: 3.6.1

Package: libtool
Architecture: any
Section: devel
Depends: gcc | c-compiler, cpp, libc6-dev | libc-dev, file, autotools-dev
Suggests: libtool-doc, autoconf (>> 2.50), automaken, g77 | fortran77-compiler, gcj
Conflicts: autoconf (<= 2.12), automake (<= 1.3), libtool1.4
Recommends: libltdl3-dev
Description: Generic library support script
 This is GNU libtool, a generic library support script.  Libtool hides
 the complexity of generating special library types (such as shared
 libraries) behind a consistent interface.  To use libtool, add the
 new generic library building commands to your Makefile, Makefile.in,
 or Makefile.am.  See the documentation for details.  Libtool supports
 building static libraries on all platforms.
 .
 Libtool supports generation of C, C++, Fortran and Java libraries.

Package: libtool-doc
Architecture: all
Section: doc
Conflicts: libtool1.4-doc
Description: Generic library support script
 This package contains the GNU libtool documentation.
 .
 GNU libtool is generic library support script.  Libtool hides
 the complexity of generating special library types (such as shared
 libraries) behind a consistent interface.  To use libtool, add the
 new generic library building commands to your Makefile, Makefile.in,
 or Makefile.am.  See the documentation for details.  Libtool supports
 building static libraries on all platforms.

Package: libltdl3
Architecture: any
Section: libs
Conflicts: libltdl0.1
Replaces: libltdl0.1
Depends: ${shlibs:Depends}
Description: A system independent dlopen wrapper for GNU libtool
 This package contains the run-time libltdl library.
 .
 A small library that aims at hiding the various difficulties of
 dlopening libraries from programmers.  It is a system independent
 dlopen wrapper for GNU libtool.
 .
 It supports the following dlopen interfaces:
   * dlopen (Solaris, Linux and various BSD flavors)
   * shl_load (HP-UX)
   * LoadLibrary (Win16 and Win32)
   * load_add_on (BeOS)
   * GNU DLD (emulates dynamic linking for static libraries)
   * libtool's dlpreopen

Package: libltdl3-dev
Architecture: any
Section: libdevel
Suggests: libtool-doc
Recommends: libtool
Conflicts: libltdl0.1-dev, libltdl0-dev
Replaces: libltdl0.1-dev
Depends: libltdl3 (= ${Source-Version})
Description: A system independent dlopen wrapper for GNU libtool
 This package contains the header files and static libraries for the
 libltdl package.
 .
 A small library that aims at hiding the various difficulties of
 dlopening libraries from programmers.  It is a system independent
 dlopen wrapper for GNU libtool.
 .
 It supports the following dlopen interfaces:
   * dlopen (Solaris, Linux and various BSD flavors)
   * shl_load (HP-UX)
   * LoadLibrary (Win16 and Win32)
   * load_add_on (BeOS)
   * GNU DLD (emulates dynamic linking for static libraries)
   * libtool's dlpreopen
