## libtool 1.5.6-6

=== Makefile ===
--- 
+++ 
@@ -176,7 +176,7 @@
 am__quote = 
 bindir = ${exec_prefix}/bin
 build = i386-pc-linux-gnu
-build_alias = i386-linux
+build_alias = i386-linux-gnu
 build_cpu = i386
 build_os = linux-gnu
 build_vendor = pc
@@ -372,4 +372,3 @@
 	fi; test -z "$$fail"
 
 mostlyclean-recursive clean-recursive distclean-recursive \
-maintainer-clean-recursive:
