=== debian/changelog ===
libtool (1.5.6-6) unstable; urgency=low

  * Orphan.

 -- Scott James Remnant <scott@netsplit.com>  Fri,  1 Apr 2005 01:28:13 +0100
