=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, g77 | fortran77-compiler, gcj [!hppa !mips !mipsel !netbsd-i386 !hurd-i386]
 Section: devel
 Priority: optional
-Maintainer: Scott James Remnant <scott@netsplit.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.6.1
 
 Package: libtool
