## libtool 1.5.6-6osso

=== debian/changelog ===
libtool (1.5.6-6osso) unstable; urgency=low

  * unneeded build-dep to gcj removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun,  9 Apr 2006 11:08:52 +0300
