=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libtool
-Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, g77 | fortran77-compiler, gcj [!hppa !mips !mipsel !netbsd-i386 !hurd-i386]
+Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, g77 | fortran77-compiler
 Section: devel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
