## libtool 1.5.26-3maemo1

=== debian/changelog ===
libtool (1.5.26-3maemo1) unstable; urgency=low

  * Removed build dependencies to gcj, gfortran and automake1.0
  * Set maintainer to integration@maemo.org
  * Don't run tests

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Tue, 22 Apr 2008 11:57:42 +0300

libtool (1.5.26-3) unstable; urgency=low

  * Mips/mipsel now needs -fPIC for shared libraries, so change
    the list in demo-nopic.test to reflect that.  (Closes: #474162)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 05 Apr 2008 15:29:47 +0000

libtool (1.5.26-2) unstable; urgency=low

  * Stop (build) depending / suggesting g77 (Closes: #463744, #462100)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 30 Mar 2008 16:35:15 +0200

libtool (1.5.26-1) unstable; urgency=low

  * New upstream release
  * Update copyright to reflect that the documentation is under
    GFDL and changed to version 1.2.
  * Change libltdl3-dev Depeneds to use ${binary:Version}
    instead of ${Source-Version}
  * Check for precense of Makefile instead of ignoring failures
    from make distclean, as suggested by lintian.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 02 Feb 2008 12:09:01 +0000

libtool (1.5.24-2) unstable; urgency=low

  * armel doesn't support fortran77, so disable it. (Closes: #441751)
  * Disable java on arm since it's unavailable.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 27 Nov 2007 20:39:34 +0100

libtool (1.5.24-1) unstable; urgency=low

  * New upstream release (Closes: #432139):
    - Remove kbsd patch, merged upstream
    - Support -export-symbols on hurd (Closes: #430973)
    - Support -Wl,--version-script on hurd (Closes: #407079)
    - Support multiple libs with the same name (Closes: #348558)
  * Change patch system from dpatch to quilt.
  * Use gcj on all arches execpt hurd
  * Switch to automake1.10
  * Change Standards-Version to 3.7.2.2, no changes required.
  * Change DH_COMPAT to a debian/compat file with 4 in it.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 11 Jul 2007 20:18:34 +0200

libtool (1.5.22-4) unstable; urgency=low

  * Change gcj build dependency to not !kfreebsd-amd64
    (Closes: #356388)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 11 Mar 2006 19:33:24 +0100

libtool (1.5.22-3) unstable; urgency=low

  * Properly set link_all_deplibs on k*bsd*-gnu.  The previous
    patch for kfreebsd didn't set it in all cases.  Patch from
    Aurelien Jarno <aurel32@debian.org> (Closes: #355789)
  * Make k*bsd*-gnu do the same as on Linux in all cases.  It
    should behave the same.  Based on patch by Aurelien Jarno.
  * Don't build depend on gcj on kfreebsd-amd64
  * Rename bsd.dpatch to netbsdelf.dpatch, since it now
    only adds support for netbsdelf*-gnu.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 11 Mar 2006 16:11:11 +0100

libtool (1.5.22-2) unstable; urgency=low

  * Remove a "--" line from the generate tag for BINCC.  It
    resulted in "--: command not found" error.  Thanks to 
    John V. Belmonte for reporting it and Ralf Wildenhues
    for the fix.  (Closes: #345607)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon,  9 Jan 2006 16:06:58 +0100

libtool (1.5.22-1) unstable; urgency=low

  * New upstream release
    - libtoolize --ltdl now fails if libltdl3-dev is not installed. 
      (Closes: #344756)
  * Also set link_all_deplibs to no on kfreebsd*-gnu.  Patch from
    Aurelien Jarno <aurel32@debian.org>  (Closes: #341978)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 26 Dec 2005 13:36:48 +0100

libtool (1.5.20-2) unstable; urgency=low

  * Add a conflict on libtool1.4 for libltdl3-dev.  They have overlapping
    files and libtool1.4 should get removed anyway.  (Closes: #329697)
  * Put usr/share/libtool/libltdl in the libltdl3-dev, so libtoolize --ltdl
    works again
  * Don't build-depend gcj on kfreebsd-i386, they don't have it.
    (Closes: #329703)
  * Change Standards-Version to 3.6.2, no changes.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 25 Sep 2005 16:16:17 +0200

libtool (1.5.20-1) unstable; urgency=low

  * New maintainer (Closes: #302484)
  * New upstream release (Closes: #265005)
    - Configure test to detect -fPIC support in combination with other CFLAGS
      could fail to detect if it's supported. (1.5.16)  (Closes: #219490)
    - ia64 tests should have been fix, run them again. (1.5.10)
    - Fix .libs/.libs/libfoo.so link problem when linking against an other lib
      from the same package. (1.5.8)
  * Enable gcj on hppa again since gcj-4.0 is available on it.
  * Enable the test suite on m68k again, slow is not a good reason not to run
    it.
  * Move ltdl.m4 from libtool to libltdl-dev package, where it belongs.
    Add a conflicts/replaces from libltdl-dev to the libtool package.
  * Remove usr/share/libtool/libltdl from the libtool package
  * Make the libtool.m4 in /usr/share/libtool a symlink to the one in 
    /usr/share/aclocal.
  * libltdl3-dev.preinst: No longer remove the old directory on upgrade.
    libltdl3-dev.preinst does nothing now so remove the file.
  * libtool.postinst: We don't run ltconfig anymore, so don't play with
    cc's alternatives.
  * Put the config.guess and config.sub symlinks in the package instead
    of creating them in the libtool.postinst.  Remove the libtool.postinst
    and libtool.prerm scripts since they do nothing now.
  * Add AUTHORS, README, THANKS and TODO in the docs dir.
  * Remove obsolete conflicts/replaces for libltdl0.1 and libltdl0,
    it's not even in woody.
  * Split out patches, and convert to using dpatch
  * Always do a full bootstrap of the configure scripts before
    building so I only have to patch 1 file.
  * Embed the debian version in libtool.m4 and ltmain.in/sh
  * Add a watch file.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 14 Sep 2005 21:11:24 +0200
