=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: libtool
-Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, g77 | fortran77-compiler
+Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, autoconf, autotools-dev, quilt
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.6.1
+Maintainer: Kurt Roeckx <kurt@roeckx.be>
+Standards-Version: 3.7.2.2
 
 Package: libtool
 Architecture: any
 Section: devel
 Depends: gcc | c-compiler, cpp, libc6-dev | libc-dev, file, autotools-dev
-Suggests: libtool-doc, autoconf (>> 2.50), automaken, g77 | fortran77-compiler, gcj
+Suggests: libtool-doc, autoconf (>> 2.50), automaken, gcj
 Conflicts: autoconf (<= 2.12), automake (<= 1.3), libtool1.4
 Recommends: libltdl3-dev
 Description: Generic library support script
@@ -39,8 +39,6 @@
 Package: libltdl3
 Architecture: any
 Section: libs
-Conflicts: libltdl0.1
-Replaces: libltdl0.1
 Depends: ${shlibs:Depends}
 Description: A system independent dlopen wrapper for GNU libtool
  This package contains the run-time libltdl library.
@@ -62,9 +60,9 @@
 Section: libdevel
 Suggests: libtool-doc
 Recommends: libtool
-Conflicts: libltdl0.1-dev, libltdl0-dev
-Replaces: libltdl0.1-dev
-Depends: libltdl3 (= ${Source-Version})
+Conflicts: libtool (<< 1.5.20), libtool1.4
+Replaces: libtool (<< 1.5.20)
+Depends: libltdl3 (= ${binary:Version})
 Description: A system independent dlopen wrapper for GNU libtool
  This package contains the header files and static libraries for the
  libltdl package.
